<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <%--Needed for JavaScript IntelliSense in VS2010--%>
            <%--For VS2008 replace RadScriptManager with ScriptManager--%>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
        </Scripts>
    </telerik:RadScriptManager>
    <script type="text/javascript">
        //Put your JavaScript code here.
    </script>
    <div>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" 
            AllowSorting="True" AutoGenerateColumns="False" 
            DataSourceID="AccessDataSource1" GridLines="None" AllowAutomaticInserts="true">
<MasterTableView DataKeyNames="CustomerID" DataSourceID="AccessDataSource1">
    <Columns>
    <telerik:GridEditCommandColumn UniqueName="Edit"></telerik:GridEditCommandColumn>
        <telerik:GridBoundColumn DataField="CustomerID" HeaderText="CustomerID" 
            ReadOnly="True" SortExpression="CustomerID" UniqueName="CustomerID">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="CompanyName" HeaderText="CompanyName" 
            SortExpression="CompanyName" UniqueName="CompanyName">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="ContactName" HeaderText="ContactName" 
            SortExpression="ContactName" UniqueName="ContactName">
        </telerik:GridBoundColumn>
        <telerik:GridTemplateColumn HeaderText="ContactTitle" 
            SortExpression="ContactTitle" UniqueName="ContactTitle">
            <ItemTemplate>
            <asp:Label 
            ID="CurrentValues" 
            runat="server" 
            Text='<%# Eval("ContactTitle") %>'> 
        </asp:Label>      
            </ItemTemplate>
            <EditItemTemplate>      
        <telerik:RadListBox 
            ID="ContactTitleListBox" 
            runat="server" SelectionMode="Multiple" > 
            <Items>
            <telerik:RadListBoxItem Text="Owner" />
            <telerik:RadListBoxItem Text="Manager" />
            <telerik:RadListBoxItem Text="Employee" />
            </Items>
        </telerik:RadListBox>      
    </EditItemTemplate>      

        </telerik:GridTemplateColumn>
        <telerik:GridBoundColumn DataField="Address" HeaderText="Address" 
            SortExpression="Address" UniqueName="Address">
        </telerik:GridBoundColumn>
        <telerik:GridBoundColumn DataField="Phone" HeaderText="Phone" 
            SortExpression="Phone" UniqueName="Phone">
        </telerik:GridBoundColumn>
    </Columns>
</MasterTableView>
        </telerik:RadGrid>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/Nwind.mdb" 
            SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle], [Address], [Phone] FROM [Customers]">
        </asp:AccessDataSource>
    </div>
    </form>
</body>
</html>
